Skip to main content
GET
/
api
/
teams
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "name": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "is_default": false,
      "ltv": 0,
      "try_at": "2023-11-07T05:31:56Z",
      "auto_topup_setting": {
        "enabled": false,
        "threshold": 1,
        "extra_gb": 2,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "members": [
        {
          "@id": "<string>",
          "@type": "<string>",
          "user": {
            "@id": "<string>",
            "@type": "<string>",
            "email": "jsmith@example.com",
            "@context": "<string>",
            "id": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "enabled": true,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          },
          "@context": "<string>",
          "role": "ROLE_TEAM_MEMBER",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "billing_detail": {
        "name": "<string>",
        "company_name": "<string>",
        "company_id": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "country": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "billing_email": "jsmith@example.com",
        "registration_number": "<string>"
      },
      "quota_webhook_setting": {
        "enabled": false,
        "url": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "owner": {
        "@id": "<string>",
        "@type": "<string>",
        "email": "jsmith@example.com",
        "@context": "<string>",
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "enabled": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "subscription": {
        "@id": "<string>",
        "@type": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "cancelled_at": "2023-11-07T05:31:56Z",
        "gateway": "paddle",
        "paused_at": "2023-11-07T05:31:56Z",
        "plan": {
          "name": "",
          "id": "<string>",
          "is_custom": false,
          "description": "",
          "quota": 1,
          "proxy_account_quota": 1,
          "price": 0,
          "price_per_extra_gb": 0,
          "price_per_extra_proxy_account": 0,
          "order": 0,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "paddle_product_id": 0
        },
        "status": "active",
        "subscription_id": "<string>",
        "topups": [
          {
            "quantity": 0,
            "description": "",
            "payment_kind": "purchase",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "update_url": "<string>",
        "valid_from": "2023-11-07T05:31:56Z",
        "valid_until": "2023-11-07T05:31:56Z",
        "next_payment_at": "2023-11-07T05:31:56Z",
        "expired_at": "2023-11-07T05:31:56Z",
        "current_quota": 123,
        "current_proxy_account_quota": 123,
        "current_quota_str": "<string>",
        "bytes_recv": 0,
        "bytes_sent": 0,
        "last_activity_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "billing_cycle": "<string>",
        "gateway_label": "<string>",
        "consumption_str": "<string>",
        "consumption": 123
      },
      "payments": [
        {
          "@id": "<string>",
          "@type": "<string>",
          "@context": "<string>",
          "id": "<string>",
          "team": null,
          "payment_id": "<string>",
          "subscription_id": "<string>",
          "gateway": "<string>",
          "price": 0,
          "product_name": "<string>",
          "quantity": 123,
          "receipt_url": "<string>",
          "status": "<string>",
          "billing_detail": {
            "name": "<string>",
            "company_name": "<string>",
            "company_id": "<string>",
            "address1": "<string>",
            "address2": "<string>",
            "country": "<string>",
            "city": "<string>",
            "state": "<string>",
            "postal_code": "<string>",
            "billing_email": "jsmith@example.com",
            "registration_number": "<string>"
          },
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "gateway_label": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "members_count": 123,
      "last_activity_at": "2023-11-07T05:31:56Z"
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  },
  "hydra:view": {
    "@id": "string",
    "@type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 30
name
string

Response

Team collection

Team.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0
hydra:view
object
Example:
{
  "@id": "string",
  "@type": "string",
  "hydra:first": "string",
  "hydra:last": "string",
  "hydra:previous": "string",
  "hydra:next": "string"
}